// SPDX-License-Identifier: GPL-2.0

#include <linux/module.h>
#include <linux/init.h>

/**
 * @brief This function is called when the module is loaded into the kernel
 */
static int __init my_init(void)
{
	pr_notice("Hello, Kernel!\n");
	return 0;
}

/**
 * @brief This function is called when the module is removed from the kernel
 */
static void __exit my_exit(void)
{
	pr_info("Goodbye, Kernel\n");
}

module_init(my_init);
module_exit(my_exit);

/* Meta Information */
MODULE_LICENSE("GPL v2");
MODULE_AUTHOR("David D'Ulisse");
MODULE_DESCRIPTION("A Hello, World! Test Module");

